package com.smartgwt.sample.client;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.smartgwt.client.core.KeyIdentifier;
import com.smartgwt.client.data.DataSource;
import com.smartgwt.client.data.fields.DataSourceTextField;
import com.smartgwt.client.util.KeyCallback;
import com.smartgwt.client.util.Page;
import com.smartgwt.client.util.SC;
import com.smartgwt.client.widgets.IButton;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.widgets.grid.ListGrid;
import com.smartgwt.client.widgets.tree.TreeGrid;
import com.smartgwt.client.widgets.viewer.DetailViewer;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class DataSourceTree implements EntryPoint {
    private ListGrid boundList;
    private DynamicForm boundForm;
    private IButton saveBtn;
    private DetailViewer boundViewer;
    private IButton newBtn;

    /**
     * This is the entry point method.
     */
    public void onModuleLoad() {


        KeyIdentifier debugKey = new KeyIdentifier();
        debugKey.setCtrlKey(true);
        debugKey.setKeyName("D");

        Page.registerKey(debugKey, new KeyCallback() {
            public void execute(String keyName) {
                SC.showConsole();
            }
        });


        // instantiate DataSource on the client only (this example explicitly bypasses
        // ISC server-side DataSource management)

        DataSource dataSource = new DataSource();
        dataSource.setID("supplyCategory");
        dataSource.setDataURL(GWT.getModuleBaseURL() + "/supplyCategoryOperations.rpc");

        DataSourceTextField categoryName = new DataSourceTextField("categoryName", "Item", 128);
        categoryName.setPrimaryKey(true);

        DataSourceTextField parentID = new DataSourceTextField("parentID");
        parentID.setHidden(true);
        parentID.setForeignKey("supplyCategory.categoryName");
        parentID.setRootValue("root");

        dataSource.setFields(categoryName, parentID);

        TreeGrid treeGrid = new TreeGrid();
        treeGrid.setLeft(100);
        treeGrid.setTop(100);
        treeGrid.setDataSource(dataSource);
        treeGrid.draw();

        // load the top-level nodes into the tree
        treeGrid.fetchData();

    }



}
