/*
 * Isomorphic SmartGWT web presentation layer
 * Copyright 2000 and beyond Isomorphic Software, Inc.
 *
 * OWNERSHIP NOTICE
 * Isomorphic Software owns and reserves all rights not expressly granted in this source code,
 * including all intellectual property rights to the structure, sequence, and format of this code
 * and to all designs, interfaces, algorithms, schema, protocols, and inventions expressed herein.
 *
 *  If you have any questions, please email <sourcecode@isomorphic.com>.
 *
 *  This entire comment must accompany any portion of Isomorphic Software source code that is
 *  copied or moved from this file.
 */

package com.smartgwt.sample.showcase.client.doc;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.DeferredCommand;
import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.HTMLPane;
import com.smartgwt.client.widgets.events.DrawEvent;
import com.smartgwt.client.widgets.events.DrawHandler;
import com.smartgwt.sample.showcase.client.PanelFactory;
import com.smartgwt.sample.showcase.client.ShowcasePanel;


public class DataSourcesPanel extends ShowcasePanel {
    private static final String DESCRIPTION = "Overview of DataSources and integration paths.";

    public static class Factory implements PanelFactory {

        private String id;

        public Canvas create() {
            DataSourcesPanel panel = new DataSourcesPanel();
            id = panel.getID();
            return panel;
        }

        public String getID() {
            return id;
        }

        public String getDescription() {
            return DESCRIPTION;
        }
    }

    public Canvas getViewPanel() {
        final HTMLPane pane = new HTMLPane();
        pane.setWidth100();
        pane.setPadding(10);
        pane.setHeight100();
        pane.setContentsURL("doc/server-integratration.html");
        pane.setBorder("1px solid gray");

        pane.addDrawHandler(new DrawHandler() {
            public void onDraw(DrawEvent event) {
                DeferredCommand.addCommand(new Command() {
                    public void execute() {
                        pane.redraw();
                    }
                });
            }
        });
        return pane;
    }
}